package com.example.FindBookService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class FindBookController {
	
	@Autowired
	ProxyService proxy;
	
	@GetMapping("book/id/{id}")
	public Book getBook(@PathVariable int id) {
		return proxy.getBook(id);
	}

}
