package com.example.FindBookService;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient(name = "exchange-service", url="localhost:8000")
public interface ProxyService {
	
	@GetMapping("book/id/{id}")
	public Book getBook(@PathVariable int id);

}
